%define perl_vendorlib %(eval "`%{_bindir}/perl -V:installvendorlib`"; echo $installvendorlib)

Name:           perl-SVG
Version:        2.44
Release:        1
Summary:        An extension to generate stand-alone or inline SGV
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/SVG/
Source0:        http://www.cpan.org/authors/id/R/RO/RONAN/SVG-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  sed
Requires:  perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:  perl >= 5.8.8

%description
SVG.pm is a Perl extension to generate stand-alone or inline SVG
(scaleable vector graphics) images using the W3C SVG XML recommendation


%prep
%setup -q -n SVG-%{version}

# avoid extra dependencies
chmod 644 examples/*

# Fix line-endings
for i in minsvg.pl SVG_02_sample.pl svgtest2.pl sun_text_sample.pl starpath.cgi image_sample.pl inlinesvg.pl yaph5.cgi inline_sample.pl svg.pl; do
    /opt/freeware/bin/sed -i 's/\r//' examples/$i
done

# Filter extra non-explicit version provides (SVG::Element)
cat << \EOF > %{_builddir}/SVG-%{version}/%{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(SVG::Element)$/d'
EOF

%define __perl_provides %{_builddir}/SVG-%{version}/%{name}-prov
chmod +x %{__perl_provides}


%build
%{_bindir}/perl Makefile.PL INSTALLDIRS=vendor
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
find ${RPM_BUILD_ROOT} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc README Changes examples
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Nov 09 2008 Michael Perzl <michael@perzl.org> - 2.44-1
- first version for AIX V5.1 and higher
